package labs.hard.Lab4;
import java.util.Scanner;

/*
Создать программу, моделирующую случайный процесс.
С клавиатуры задается некий "порог" в виде вещественного числа,
коэффициент влияния порога и максимальное время моделирования.
В случайные моменты времени генерируются случайные вещественные
числа в интервале [-коэффициент*порог; коэффициент*порог].
Если сгенерированное число больше заданного порога, то прекратить
моделирование. По завершении моделирования вывести следующую
информацию на консоль: <время от начала эксперимента>: <число>
*/

public class Main4{
  public static void main(String[] args) {
    Scanner sc = new Scanner(System.in);

    System.out.print("Введите порог: ");
    double porog = sc.nextDouble(); //порог

    System.out.print("Введите коэффициент: ");
    double coeff = sc.nextDouble(); //коэффициент влияния порога

    System.out.print("Введите максимальное время: ");
    long max_time = sc.nextLong(); //максимальное время моделирования

    Lab4 work = new Lab4();
    Lab4.work(porog, coeff, max_time);
  }
}
